## lazarus-0.9.26-0.tgz

=== Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/08/20]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifeq  ($(OS_TARGET),darwin)
ifneq ($(OS_SOURCE),darwin)
CROSSCOMPILE=1
endif
else
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazarus
override PACKAGE_VERSION=0.9.26
RCPP?=$(strip $(firstword cpp$(SRCEXEEXT)))
LAZARUS_INSTALL_DIR=$(INSTALL_PREFIX)/share/lazarus
INSTALL_MAN_DIR=$(INSTALL_PREFIX)/share/man
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_INSTALL_DIR=C:\lazarus
endif
ifneq ($(findstring $(OS_TARGET),freebsd),)
LAZARUS_INSTALL_DIR=/usr/local/lazarus
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_DIRS+=lcl components packager/registration ideintf designer packager
endif
ifeq ($(FULL_TARGET),x86_64-darwin)

=== components/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/06/19]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),armeb-embedded)
override TARGET_DIRS+=synedit codetools
endif
ifeq ($(FULL_TARGET),i386-linux)
override CLEAN_FILES+=$(wildcard ./units/*$(OEXT)) $(wildcard ./units/*$(PPUEXT)) $(wildcard ./units/*$(RSTEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(OEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(PPUEXT)) $(wildcard ./units/$(CPU_TARGET)-$(OS_TARGET)/*$(RSTEXT)) $(wildcard ./custom/*$(OEXT)) $(wildcard ./custom/*$(PPUEXT)) $(wildcard ./custom/*$(RSTEXT))
endif
ifeq ($(FULL_TARGET),i386-go32v2)

=== examples/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/06/19]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazarus-examples
override PACKAGE_VERSION=0.9b
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),wince)
LCL_PLATFORM=wince
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk
endif
endif
endif
export LCL_PLATFORM
endif
ifeq ($(OS_TARGET),win32)
LAZARUS_OPT+= -WG
endif
cleanall: clean
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=hello bitbutton checkbox combobox comdialogs edittest groupbox groupboxnested listboxtest listviewtest loadpicture memotest messagedialogs notebk notebooktest progressbar scrollbar speedtest synedit1 taborder testall toolbar trackbar
endif
ifeq ($(FULL_TARGET),i386-netwlibc)

=== ide/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=lazaruside
override PACKAGE_VERSION=0.9b
RCPP?=$(firstword $(strip $(subst /,$(PATHSEP),$(wildcard $(addsuffix /cpp$(SRCEXEEXT),$(SEARCHPATH))))))
ifndef LCL_PLATFORM
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk
endif
endif
endif
export LCL_PLATFORM
ifeq ($(OS_TARGET),darwin)
ifneq ($(LCL_PLATFORM),carbon)
LAZARUS_LIBPATHS=-Fl/usr/X11R6/lib -Fl/sw/lib
endif
endif
ifndef LAZARUS_CONFIG_DIR
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_CONFIG_DIR=..
else
LAZARUS_CONFIG_DIR=$(HOME)/.lazarus
endif
endif
export LAZARUS_CONFIG_DIR
LAZARUS_IDE_CONFIG='$(LAZARUS_CONFIG_DIR)/idemake.cfg'
LAZARUS_OPT=$(LAZARUS_LIBPATHS)
BIG_IDE_OPTIONS=-dBigIDE $(LAZARUS_LIBPATHS) \
  -Fu../components/rtticontrols/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/printers/design/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/cgi/ide/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/cgi/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tdbf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/turbopower_ipro/units/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/jpeg/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/fpcunit/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/fpcunit/ide/lib/$(CPU_TARGET)-$(OS_TARGET) \
  -Fu../components/projecttemplates/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sqldb/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/sdf/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/memds/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM) \
  -Fu../components/tachart/lib/$(CPU_TARGET)-$(OS_TARGET)/$(LCL_PLATFORM)
LAZBUILD_OPT=$(LAZARUS_LIBPATHS)
ifneq ($(findstring $(OS_TARGET),win32 win64),)
LAZARUS_OPT+= -WG
BIG_IDE_OPTIONS+= -WG
endif
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_PROGRAMS+=lazarus startlazarus lazbuild
endif
ifeq ($(FULL_TARGET),powerpc-morphos)

=== components/fpcunit/Makefile ===
#
# Don't edit, this file is generated by FPCMake Version 2.0.0 [2008/08/24]
#
default: all
MAKEFILETARGETS=i386-linux i386-go32v2 i386-win32 i386-os2 i386-freebsd i386-beos i386-haiku i386-netbsd i386-solaris i386-qnx i386-netware i386-openbsd i386-wdosx i386-darwin i386-emx i386-watcom i386-netwlibc i386-wince i386-embedded i386-symbian m68k-linux m68k-freebsd m68k-netbsd m68k-amiga m68k-atari m68k-openbsd m68k-palmos m68k-embedded powerpc-linux powerpc-netbsd powerpc-amiga powerpc-macos powerpc-darwin powerpc-morphos powerpc-embedded sparc-linux sparc-netbsd sparc-solaris sparc-embedded x86_64-linux x86_64-freebsd x86_64-darwin x86_64-win64 x86_64-embedded arm-linux arm-palmos arm-darwin arm-wince arm-gba arm-nds arm-embedded arm-symbian powerpc64-linux powerpc64-darwin powerpc64-embedded avr-embedded armeb-linux armeb-embedded
BSDs = freebsd netbsd openbsd darwin
UNIXs = linux $(BSDs) solaris qnx
LIMIT83fs = go32v2 os2 emx watcom
OSNeedsComspecToRunBatch = go32v2 watcom
FORCE:
.PHONY: FORCE
override PATH:=$(patsubst %/,%,$(subst \,/,$(PATH)))
ifneq ($(findstring darwin,$(OSTYPE)),)
inUnix=1 #darwin
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
ifeq ($(findstring ;,$(PATH)),)
inUnix=1
SEARCHPATH:=$(filter-out .,$(subst :, ,$(PATH)))
else
SEARCHPATH:=$(subst ;, ,$(PATH))
endif
endif
SEARCHPATH+=$(patsubst %/,%,$(subst \,/,$(dir $(MAKE))))
PWD:=$(strip $(wildcard $(addsuffix /pwd.exe,$(SEARCHPATH))))
ifeq ($(PWD),)
PWD:=$(strip $(wildcard $(addsuffix /pwd,$(SEARCHPATH))))
ifeq ($(PWD),)
$(error You need the GNU utils package to use this Makefile)
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=
endif
else
PWD:=$(firstword $(PWD))
SRCEXEEXT=.exe
endif
ifndef inUnix
ifeq ($(OS),Windows_NT)
inWinNT=1
else
ifdef OS2_SHELL
inOS2=1
endif
endif
else
ifneq ($(findstring cygdrive,$(PATH)),)
inCygWin=1
endif
endif
ifdef inUnix
SRCBATCHEXT=.sh
else
ifdef inOS2
SRCBATCHEXT=.cmd
else
SRCBATCHEXT=.bat
endif
endif
ifdef COMSPEC
ifneq ($(findstring $(OS_SOURCE),$(OSNeedsComspecToRunBatch)),)
RUNBATCH=$(COMSPEC) /C
endif
endif
ifdef inUnix
PATHSEP=/
else
PATHSEP:=$(subst /,\,/)
ifdef inCygWin
PATHSEP=/
endif
endif
ifdef PWD
BASEDIR:=$(subst \,/,$(shell $(PWD)))
ifdef inCygWin
ifneq ($(findstring /cygdrive/,$(BASEDIR)),)
BASENODIR:=$(patsubst /cygdrive%,%,$(BASEDIR))
BASEDRIVE:=$(firstword $(subst /, ,$(BASENODIR)))
BASEDIR:=$(subst /cygdrive/$(BASEDRIVE)/,$(BASEDRIVE):/,$(BASEDIR))
endif
endif
else
BASEDIR=.
endif
ifdef inOS2
ifndef ECHO
ECHO:=$(strip $(wildcard $(addsuffix /gecho$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO:=$(strip $(wildcard $(addsuffix /echo$(SRCEXEEXT),$(SEARCHPATH))))
ifeq ($(ECHO),)
ECHO=echo
else
ECHO:=$(firstword $(ECHO))
endif
else
ECHO:=$(firstword $(ECHO))
endif
endif
export ECHO
endif
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
ifneq ($(CPU_TARGET),)
FPC:=$(shell $(FPCPROG) -P$(CPU_TARGET) -PB)
else
FPC:=$(shell $(FPCPROG) -PB)
endif
ifneq ($(findstring Error,$(FPC)),)
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
else
override FPC=$(firstword $(strip $(wildcard $(addsuffix /ppc386$(SRCEXEEXT),$(SEARCHPATH)))))
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
FOUNDFPC:=$(strip $(wildcard $(FPC)))
ifeq ($(FOUNDFPC),)
FOUNDFPC=$(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))
ifeq ($(FOUNDFPC),)
$(error Compiler $(FPC) not found)
endif
endif
ifndef FPC_COMPILERINFO
FPC_COMPILERINFO:=$(shell $(FPC) -iVSPTPSOTO)
endif
ifndef FPC_VERSION
FPC_VERSION:=$(word 1,$(FPC_COMPILERINFO))
endif
export FPC FPC_VERSION FPC_COMPILERINFO
unexport CHECKDEPEND ALLDEPENDENCIES
ifndef CPU_TARGET
ifdef CPU_TARGET_DEFAULT
CPU_TARGET=$(CPU_TARGET_DEFAULT)
endif
endif
ifndef OS_TARGET
ifdef OS_TARGET_DEFAULT
OS_TARGET=$(OS_TARGET_DEFAULT)
endif
endif
ifneq ($(words $(FPC_COMPILERINFO)),5)
FPC_COMPILERINFO+=$(shell $(FPC) -iSP)
FPC_COMPILERINFO+=$(shell $(FPC) -iTP)
FPC_COMPILERINFO+=$(shell $(FPC) -iSO)
FPC_COMPILERINFO+=$(shell $(FPC) -iTO)
endif
ifndef CPU_SOURCE
CPU_SOURCE:=$(word 2,$(FPC_COMPILERINFO))
endif
ifndef CPU_TARGET
CPU_TARGET:=$(word 3,$(FPC_COMPILERINFO))
endif
ifndef OS_SOURCE
OS_SOURCE:=$(word 4,$(FPC_COMPILERINFO))
endif
ifndef OS_TARGET
OS_TARGET:=$(word 5,$(FPC_COMPILERINFO))
endif
FULL_TARGET=$(CPU_TARGET)-$(OS_TARGET)
FULL_SOURCE=$(CPU_SOURCE)-$(OS_SOURCE)
ifeq ($(CPU_TARGET),armeb)
ARCH=arm
override FPCOPT+=-Cb
else
ifeq ($(CPU_TARGET),armel)
ARCH=arm
override FPCOPT+=-CaEABI
else
ARCH=$(CPU_TARGET)
endif
endif
ifneq ($(findstring $(OS_SOURCE),$(LIMIT83fs)),)
TARGETSUFFIX=$(OS_TARGET)
SOURCESUFFIX=$(OS_SOURCE)
else
TARGETSUFFIX=$(FULL_TARGET)
SOURCESUFFIX=$(FULL_SOURCE)
endif
ifneq ($(FULL_TARGET),$(FULL_SOURCE))
CROSSCOMPILE=1
endif
ifeq ($(findstring makefile,$(MAKECMDGOALS)),)
ifeq ($(findstring $(FULL_TARGET),$(MAKEFILETARGETS)),)
$(error The Makefile doesn't support target $(FULL_TARGET), please run fpcmake first)
endif
endif
ifneq ($(findstring $(OS_TARGET),$(BSDs)),)
BSDhier=1
endif
ifeq ($(OS_TARGET),linux)
linuxHier=1
endif
export OS_TARGET OS_SOURCE ARCH CPU_TARGET CPU_SOURCE FULL_TARGET FULL_SOURCE TARGETSUFFIX SOURCESUFFIX CROSSCOMPILE
ifdef FPCDIR
override FPCDIR:=$(subst \,/,$(FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
else
override FPCDIR=wrong
endif
ifdef DEFAULT_FPCDIR
ifeq ($(FPCDIR),wrong)
override FPCDIR:=$(subst \,/,$(DEFAULT_FPCDIR))
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=wrong
endif
endif
endif
ifeq ($(FPCDIR),wrong)
ifdef inUnix
override FPCDIR=/usr/local/lib/fpc/$(FPC_VERSION)
ifeq ($(wildcard $(FPCDIR)/units),)
override FPCDIR=/usr/lib/fpc/$(FPC_VERSION)
endif
else
override FPCDIR:=$(subst /$(FPC),,$(firstword $(strip $(wildcard $(addsuffix /$(FPC),$(SEARCHPATH))))))
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(FPCDIR)/..
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR:=$(BASEDIR)
ifeq ($(wildcard $(addprefix $(FPCDIR)/,rtl units)),)
override FPCDIR=c:/pp
endif
endif
endif
endif
endif
ifndef CROSSBINDIR
CROSSBINDIR:=$(wildcard $(FPCDIR)/bin/$(TARGETSUFFIX))
endif
ifeq ($(OS_TARGET),darwin)
ifeq ($(OS_SOURCE),darwin)
DARWIN2DARWIN=1
endif
endif
ifndef BINUTILSPREFIX
ifndef CROSSBINDIR
ifdef CROSSCOMPILE
ifndef DARWIN2DARWIN
BINUTILSPREFIX=$(CPU_TARGET)-$(OS_TARGET)-
endif
endif
endif
endif
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(TARGETSUFFIX))
ifeq ($(UNITSDIR),)
UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
endif
PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
override PACKAGE_NAME=fpcunittestrunner
override PACKAGE_VERSION=0.1
ifndef LCL_PLATFORM
ifeq ($(OS_TARGET),win32)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),win64)
LCL_PLATFORM=win32
else
ifeq ($(OS_TARGET),darwin)
LCL_PLATFORM=carbon
else
LCL_PLATFORM=gtk
endif
endif
endif
endif
export LCL_PLATFORM
ifeq ($(FULL_TARGET),i386-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-go32v2)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-win32)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-os2)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-beos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-haiku)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-solaris)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-qnx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netware)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-openbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-wdosx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-emx)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-watcom)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-netwlibc)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-wince)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),i386-symbian)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-amiga)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-atari)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-openbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-palmos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),m68k-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-amiga)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-macos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-morphos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-netbsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-solaris)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),sparc-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-freebsd)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-win64)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),x86_64-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-palmos)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-wince)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-gba)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-nds)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),arm-symbian)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-darwin)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),powerpc64-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),avr-embedded)
override TARGET_UNITS+=fpcunittestrunner.pas
endif
ifeq ($(FULL_TARGET),armeb-linux)
override TARGET_UNITS+=fpcunittestrunner.pas
endif

=== debian/changelog ===
lazarus (0.9.26-0) unstable; urgency=low

  * New upstream version.

 -- Mazen Neifer <mazen@freepascal.org>  Thu, 25 Sep 2008 13:47:00 +0200

lazarus (0.9.24-0-13) unstable; urgency=low
 
  * Fixed linitian error due to initial sources containing debian/files.
  * Fixed find expression precedence in clean target.

 -- Mazen Neifer <mazen@freepascal.org>  Mon, 31 Aug 2008 16:29:00 +0200

lazarus (0.9.24-0-12) unstable; urgency=low
 
  * User is now able to rebuild the IDE to add his own components.
    (Closes: #490162)
  * Removed false warning on read only sources when recompiling end used local
    copy.

 -- Mazen Neifer <mazen@freepascal.org>  Mon, 25 Aug 2008 17:42:00 +0200

lazarus (0.9.24-0-11) unstable; urgency=low

  * Add patch 07_sh_using_tmp.patch.dpatch to avoid /tmp file vulnerabilities.
    (Closes: #496377)

 -- Torsten Werner <twerner@debian.org>  Sun, 24 Aug 2008 22:23:18 +0200

lazarus (0.9.24-0-10) unstable; urgency=low

  [ Mazen Neifer ]
  * Fixed clean target.
  * Added system wide default configuration file.
  * Fixed comments in dpatch files.
  * Fixed compilation error with FPC 2.2.2.

  [ Torsten Werner ]
  * Built against fpc 2.2.2. (Closes: #495688)

 -- Torsten Werner <twerner@debian.org>  Wed, 20 Aug 2008 01:03:50 +0200

lazarus (0.9.24-0-9) unstable; urgency=low

  [ Torsten Werner ]
  * Fix email address of Mazen in debian/control.

  [ Mazen Neifer ]
  * Adapted FPCDIR default value to new fpc-source directory.
    (Closes: #484195)
  * Added support of multiple FPC installed releases.
  * Added verbose option to dpatch.

 -- Mazen Neifer <mazen@freepascal.org>  Thu, 29 May 2008 01:05:28 +0200

lazarus (0.9.24-0-8) unstable; urgency=low

  [ Mazen Neifer ]
  * Added patch from upstream fixing compilation using lazbuild by making it
  	generating LRS files from LFM files.
  * Added gdb as recommended package. (closes: #477293)
  * Call fpcmake with -Tall to allow user rebuilding Lazarus from lazarus-src
    package on all supported targets. This results in making build depending on
    package fpc-source (>= 2.2.0-dfsg1-7). (closes: #477361)
  * Updated build dependency on compiler setting fp-compiler (>=2.2.0-dfsg1-8)
    and fpc-source (>= 2.2.0-dfsg1-8)
  * Added fp-docs to list of package lazarus suggest packages.

 -- Mazen Neifer <mazen@freepascal.org>  Wed, 30 Apr 2008 14:17:06 +0200

lazarus (0.9.24-0-7) unstable; urgency=low

  [ Mazen Neifer ]
  * Added a link of lazbuild tool into /usr/bin
  * Added man pages for binaries.
  * Fixed compilation of printer support component.

  [ Torsten Werner ]
  * Add Mazen to Uploaders.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Apr 2008 17:06:38 +0200

lazarus (0.9.24-0-6) unstable; urgency=low

  [ Mazen Neifer ]
  * Split lazarus package into sevaral packages
    + lazarus-ide : for IDE and binary files
    + lazarus-src : for source files
    + lazarus-doc : for documentation
    + lazarus : a meta package depending on previous packages

  [ Torsten Werner ]
  * Add Build-Depends: fp-units-gtk2, fp-units-i386 [i386].
  * Several lintian cleanups.
  * Make sure that uscan will clean up the tarball for the next upstream
    version.

 -- Torsten Werner <twerner@debian.org>  Sat, 08 Mar 2008 19:28:47 +0100

lazarus (0.9.24-0-5) unstable; urgency=low

  * Fixed 'make distclean' to ensure all generated files are deleted.

 -- Mazen Neifer <mazen@freepascal.org>  Sat, 16 Feb 2008 10:47:12 +0100

lazarus (0.9.24-0-4) unstable; urgency=low

  * Ignore errors from fpcmake; we did not call this in older versions of the
    package anyway. (Closes: #458590)
  * Add FPC=fpc to 'make distclean', too.

 -- Torsten Werner <twerner@debian.org>  Wed, 02 Jan 2008 17:22:26 +0100

lazarus (0.9.24-0-3) unstable; urgency=low

  [ Torsten Werner ]
  * Use fpc-depends to calculate dependencies more accurately.
  * Add Recommends: fpc-source. (Closes: #413806)
  * Use bzip2 for compressing the binary package and add
    Pre-Depends: dpkg (>= 1.10.24).
  * Change Standards-Version: 3.7.3.
  * Refer to GPL-2 and LGPL-2 in debian/copyright.

  [ Mazen Neifer ]
  * Include README.Debian file for docs
  * Run fpcmake before building to ensure correct target dependencies
  * Include Copyright file
  * Set compat level to 5

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Dec 2007 23:05:42 +0100

lazarus (0.9.24-0-2) unstable; urgency=low

  * Set FPC=fpc for building lazarus.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Dec 2007 20:56:52 +0100

lazarus (0.9.24-0-1) unstable; urgency=low

  * new upstream release
  * Implement get-orig-source in debian/rules.
  * Update Vcs and Homepage headers in debian/control.
  * Add Architecture: arm.
  * Remove debian/*.ex and debian/files in clean target. (Closes: #451056)
  * Add and fix debian/menu.
  * Do not ignore errors of 'make distclean'.

 -- Torsten Werner <twerner@debian.org>  Mon, 03 Dec 2007 22:54:10 +0100

lazarus (0.9.22-1) unstable; urgency=low

  * Add homepage to debian/control.
  * New upstream release. (Closes: #421850, #408512)
  * Remove old patch and add new symlink /usr/bin/startlazarus.
  * Add myself to Uploaders.
  * Add XS-X-Vcs-Svn header to debian/control.

 -- Torsten Werner <twerner@debian.org>  Sun,  6 May 2007 13:46:10 +0200

lazarus (0.9.20-1) unstable; urgency=low

  * New upstream release (Closes: #298726)
  * Fix Build-Dependencies (Closes: #303864)
  * Fix desktop file (Closes: #329071, #275802)
  * debian/rules:
    + Remove unnecessary comments
    + Use dpatch to apply patches

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 14 Jan 2007 12:20:05 +0530

lazarus (0.9.17-1) experimental; urgency=low

  * Snapshot.

 -- Micha Nelissen <micha@neli.hopto.org>  Fri, 21 Jul 2006 16:09:00 +0200

lazarus (0.9.2-2) experimental; urgency=low

  * First upload to Debian.  (Closes: #253907)

 -- Carlos Laviola <claviola@debian.org>  Thu,  9 Sep 2004 23:42:37 -0300

lazarus (0.9.2-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: lazarus
Section: devel
Priority: optional
Maintainer: Carlos Laviola <claviola@debian.org>
Uploaders: Torsten Werner <twerner@debian.org>, Mazen Neifer <mazen@freeapscal.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), dpatch, fpc (>= 2.2.2-3), fpc-source (>= 2.2.2-3), 
 fp-units-i386 [i386], imagemagick, libgdk-pixbuf-dev
Vcs-Svn: https://bollin.googlecode.com/svn/lazarus/trunk
Vcs-Browser: http://bollin.googlecode.com/svn/lazarus/trunk
Homepage: http://www.lazarus.freepascal.org

Package: lazarus
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Depends: lazarus-ide, lazarus-src, lazarus-doc
Recommends: fpc, fpc-source
Suggests: fp-utils, fp-docs
Description: Lazarus is an IDE to create (graphical and console) applications
 with Free Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler
 that runs on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This is a meta-package depending on all packages need to have a typical
 Lazarus installation.
 .
 Official: http://sourceforge.net/projects/lazarus/
 .
 Tutorials: http://lazarus-ccr.sourceforge.net


Package: lazarus-src
Section: devel
Architecture: all
Pre-Depends: dpkg (>= 1.10.24)
Description: Lazarus is an IDE to create (graphical and console) applications
 with Free Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler
 that runs on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains lazarus source code necessary for the IDE code tool to
 run (retrieving declarations and navigating in code).

Package: lazarus-ide
Architecture: i386 powerpc sparc amd64 arm
Pre-Depends: dpkg (>= 1.10.24)
Depends: ${shlibs:Depends}, fp-compiler (>= 2.2.2-3), fp-units-base, fp-units-rtl,
 fp-units-fcl, fp-units-gtk, libgtk1.2-dev, libgdk-pixbuf-dev,
 ${fpc-abi:Depends}, lazarus-src
Recommends: fp-units-db, fp-units-gfx, fp-units-gnome1, fp-units-misc,
 fp-units-net, fpc-source, gdb
Suggests: fp-utils
Description: Lazarus is an IDE to create (graphical and console) applications
 with Free Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler
 that runs on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contains the lazarus IDE, LCL and components.

Package: lazarus-doc
Section: doc
Architecture: all
Description: Lazarus is an IDE to create (graphical and console) applications
 with Free Pascal. Free Pascal is a (L)GPL'ed Pascal and Object Pascal compiler
 that runs on Windows, Linux, Mac OS X, FreeBSD and more.
 .
 Lazarus is the missing part of the puzzle that will allow you to develop
 programs for all of the above platforms in a Delphi like environment.
 The IDE is a RAD tool that includes a form designer.
 .
 Unlike Java's "write once, run anywhere" motto, Lazarus and Free Pascal
 strive for "write once, compile anywhere". Since the exact same compiler
 is available on all of the above platforms you don't need to do any recoding
 to produce identical products for different platforms.
 .
 In short, Lazarus is a free RAD tool for Free Pascal using its Lazarus 
 Component Library (LCL).
 .
 This package contain documentation of the lazarus IDE and components. It can
 be viewed separately with any HTML browser or used by the IDE to as an
 integrated help (pressing <F1> on any LCL identifier will browse the help of
 that identifier).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Lazarus

DEB_DH_BUILDDEB_ARGS := -- -Z bzip2

# Define FPC
ifndef FPC
FPC=/usr/bin/fpc
endif
# Set FPCVER
FPCVER=$(shell ${FPC} -iV)
# Get directories
CURDIR:=$(shell pwd)
BUILD_DIR=$(CURDIR)/debian/build
INSTALL_DIR=$(CURDIR)/debian/tmp
DOC_DIR=${INSTALL_DIR}/usr/share/doc/lazarus
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef LAZBUILD
LAZBUILD=lazbuild
endif
# Set default compilation options
BUILDOPTS=PP=$(FPC)
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
FPCMAKE=fpcmake
endif
# Define FPCDIR if it was not set
ifndef FPCDIR
export FPCDIR=/usr/share/fpcsrc/${FPCVER}
endif

#export DH_VERBOSE=1

###################
# Clean
#

clean: patch configure clean-patched unpatch
clean-patched:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp install-arch-stamp arrange-arch-stamp configure-stamp
	rm -f build-doc-stamp install-doc-stamp
	rm -f build-indep-stamp install-indep-stamp
	rm -f debian-files-stamp
	rm -f debian/files debian/docs debian/dirs debian/*.files debian/*.docs debian/*.examples debian/*.postinst debian/*.postrm
	rm -f lazarus startlazarus lazbuild
	$(MAKE) distclean
	$(MAKE) distclean LCL_PLATFORM=gtk2
	find '(' -name '*.a' -or -name '*.o' -or -name '*.so' -or -name '*.ppu' ')' -exec rm -f '{}' ';'
	dh_clean 

patch: patch-stamp

patch-stamp:
	dpatch apply-all -v
	touch patch-stamp

unpatch:
	dpatch deapply-all -v
	rm -rf patch-stamp debian/patched

###################
# Debian files
#

debian-files: debian-files-stamp
debian-files-stamp: patch
	@echo "--- Creating/fixing *.install files"
	#/bin/bash debian/fixdeb debian $(FPCTARGET) $(PPNEW)
	touch debian-files-stamp

###################
# Arch packages
#

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Remove auto-generated make files.
	find -name Makefile.fpc -execdir 'sh' '-c' '${RM} $$(basename {} .fpc)' ';'
	# Regenrate make files using fpcmake.
	${FPCMAKE} -r -Tall
	touch configure-stamp

build-arch: build-arch-stamp
build-arch-stamp: debian-files-stamp configure-stamp
	@echo "--- Building"
	dh_testdir
	$(MAKE) lcl packager/registration ideintf bigidecomponents examples $(BUILDOPTS)
	$(MAKE) lcl packager/registration ideintf bigidecomponents examples LCL_PLATFORM=gtk2 $(BUILDOPTS)
	$(MAKE) bigide USESVN2REVISIONINC=0 $(BUILDOPTS)
	$(MAKE) lazbuilder $(BUILDOPTS)
	$(MAKE) tools $(BUILDOPTS)
	touch build-arch-stamp

install-arch: install-arch-stamp
install-arch-stamp: build-arch-stamp debian-files-stamp
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	# create all necessary directories
	install -d $(INSTALL_DIR)/usr/bin
	install -d $(INSTALL_DIR)/usr/lib/lazarus
	# Install the IDE & its accessories
	cp -Rfpl -t $(INSTALL_DIR)/usr/lib/lazarus \
		lazarus lazbuild startlazarus \
		$(CURDIR)/languages
	# Install the library files
	find -name '*.ppu' -or -name '*.[oa]' -or -name '*.so*' | xargs cp -Rfpl --parents -t $(INSTALL_DIR)/usr/lib/lazarus
	# copy icons and menu entries for the GNOME menu
	install -d $(INSTALL_DIR)/usr/share/pixmaps
	install -d $(INSTALL_DIR)/usr/share/applications
	convert -geometry 32x32 $(CURDIR)/images/ide_icon48x48.png $(INSTALL_DIR)/usr/share/pixmaps/lazarus.xpm
	chmod 644 $(INSTALL_DIR)/usr/share/pixmaps/*.xpm
	install -m 644 $(CURDIR)/install/lazarus.desktop $(INSTALL_DIR)/usr/share/applications/lazarus.desktop
	# Install man pages
	$(MAKE) -C install/man installman $(INSTALLOPTS) INSTALL_PREFIX=$(INSTALL_DIR)/usr/share
	touch install-arch-stamp
	# Install configuration files
	${MKDIR} $(INSTALL_DIR)/etc/lazarus
	fpcsubst -d FPCVER=${FPCVER} -i ${CURDIR}/tools/install/linux/environmentoptions.xml -o $(INSTALL_DIR)/etc/lazarus/environmentoptions.xml

arrange-arch: arrange-arch-stamp
arrange-arch-stamp: install-arch-stamp debian-files-stamp
	dh_testdir
	dh_testroot
	dh_install -s --sourcedir=debian/tmp --list-missing

	touch arrange-arch-stamp

build-indep: patch
install-indep:
	touch install-indep-stamp

###################
# Documentation
#

build-doc: patch build-doc-stamp
build-doc-stamp: debian-files-stamp
	@echo "--- Building Documentation"
	dh_testdir
	#$(MAKE) -C docs $(CONVERTER) $(BUILDOPTS) FPDOC=$(NEWFPDOC)
	touch build-indep-stamp

install-doc: install-doc-stamp
install-doc-stamp: build-doc-stamp debian-files-stamp
	@echo "--- Installing Documentation"
	dh_testdir
	dh_testroot
	dh_clean -k
	install -d ${DOC_DIR}
	cp -Rfpl -t ${DOC_DIR} docs/*
	touch install-doc-stamp

###################
# Source
#

install-source: install-source-stamp
install-source-stamp:
	@echo "--- Cleaning the tree and copying the source code"
	dh_testdir
	dh_testroot
	install -d $(INSTALL_DIR)/usr/lib/lazarus/
	cp -Rfpl -t $(INSTALL_DIR)/usr/lib/lazarus \
		$(CURDIR)/COPYING* \
		$(CURDIR)/Makefile* \
		$(CURDIR)/README* \
		$(CURDIR)/components \
		$(CURDIR)/converter \
		$(CURDIR)/debugger \
		$(CURDIR)/designer \
		$(CURDIR)/doceditor \
		$(CURDIR)/examples \
		$(CURDIR)/ide \
		$(CURDIR)/ideintf \
		$(CURDIR)/images \
		$(CURDIR)/lcl \
		$(CURDIR)/packager \
		$(CURDIR)/test \
		$(CURDIR)/tools
	find $(INSTALL_DIR) -name '*.bmp' -exec chmod 644 '{}' ';'
	$(RM) $(INSTALL_DIR)/usr/lib/lazarus/components/lazreport/license*.txt
	touch install-source-stamp

###################
# Generic
#

build: build-arch build-indep
install: install-arch install-indep
binary: binary-arch binary-indep


###################
# Deb building
#

binary-indep: clean-patched build-doc install-doc install-source debian-files
	@echo "--- Building: arch-indep packages"
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp --list-missing
#	install -m644 -D debian/overrides/lazarus-src \
#	  debian/lazarus-src/usr/share/lintian/overrides/lazarus-src
	dh_compress -i -X.pdf
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

binary-arch: build-arch arrange-arch  debian-files
	@echo "--- Building: arch packages"
	dh_testdir
	dh_testroot
	dh_link
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installexamples -a
	dh_installmenu
	fpc-depends
	dh_installman -s
	dh_strip -s
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s $(DEB_DH_BUILDDEB_ARGS)

.PHONY: build clean binary binary-arch \
	binary-indep debian-files build-arch \
	install install-indep install-arch \
	configure

get-orig-source:
	-uscan --upstream-version=0 --rename
